[SciPy-dev] gui_thread: please test under 2.5.x

Prabhu Ramachandran prabhu at aero.iitm.ernet.in
Sat Oct 2 09:06:48 CDT 2004


Hi,

I've checked in a version that works nicely for me from the
interpreter with pretty complex apps like wxPythonDemo.  For example:

 import gui_thread
 gui_thread.start()
 cd <path_to_wxPython_demo>
 import Main
 d = Main.wxPythonDemo(None, 'a')
 d.Show(1)
 d.SetTitle('wxPythonDemo from IPython!')

This well enough for me under wxPython-2.5.2.8u and I'm happy.  I'll
try and work on a version similar to this that works for earlier
wxPython versions.  This version is not guaranteed to work with the
demo for wxPython-2.4.x and is untested for that version.

In the meantime *please* test gui_thread and see if it works for you
on your platform/machine using wxPython-2.5.x.

Thanks!

cheers,
prabhu




More information about the Scipy-dev mailing list